
Foreman - Bug #29504

DB creation fails if the plugin extends graphql types

04/08/2020 02:52 PM - Kamil Szubrycht

Status: Closed   

Priority: Normal   

Assignee:    

Category: Plugin integration   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7577

  

Description

If the plugin extends graphql types, eg. 

https://github.com/theforeman/foreman_omaha/blob/ed679561e9bbc3d02e4f2e813ef1b3d14136b80b/lib/foreman_omaha/engine.rb#

L100-L103, bundle exec rake db:create command fails with error message: 

ActiveRecord::NoDatabaseError: FATAL:  database "foreman_development" does not exist

Associated revisions

Revision 1f9a13dd - 04/15/2020 11:56 AM - Kamil Szubrycht 

Fixes #29504 - Skip plugin registration if the db is not ready

History

#1 - 04/08/2020 02:58 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7577 added

#2 - 04/15/2020 11:56 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 04/15/2020 12:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 1f9a13ddcdb686ba7185f71b9acc2cd8d9f40f59.
